## php.java.bridge.http
Class HttpServer

    java.lang.Object
      php.java.bridge.http.HttpServer

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  JavaBridgeRunner

    public abstract class HttpServer

extends java.lang.Object
implements java.lang.Runnable

This class can be used to create a simple HTTP server. It can be used during development, when no HTTP server or Servlet engine is available.

Author:
  jostb

Constructor Summary
`HttpServer()` Create a new HTTP Server.

Method Summary
`abstract ISocketFactory` `bind()` Create a new server socket
`void` `destroy()` Stop the HTTP server.
`void` `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServer

    public HttpServer()

  Create a new HTTP Server.

  See Also:
    `destroy()`

Method Detail

### bind

    public abstract ISocketFactory bind()

  Create a new server socket

  Returns:
    The server socket.

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### destroy

    public void destroy()

  Stop the HTTP server.